<form action="/search-components" method="post">
    <label for="componentName">Component Name:</label><br>
    <input type="text" id="componentName" name="componentName"><br><br>
    <input type="submit" value="Search">
  </form>
  